Delete port fails to gateway ip

Bug #1079980 reported by Nachi Ueno on 2012-11-17
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
neutron
Critical
Gary Kotton
Folsom
Critical
Gary Kotton
quantum (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Delete port fails to gateway ip
So we cannot remove interface from router

nim20:ubuntu% quantum router-interface-delete 3e235018-da4f-403f-805d-3f5dc4173f3a 4e85cc10-1a61-41a0-b180-4b1317100f19
Invalid input for operation: No allocation pool found for ip address:10.1.0.1.

StackTrace in the server

2012-11-16 21:27:12 19943 ERROR quantum.api.v2.resource [-] remove_router_interface failed
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource Traceback (most recent call last):
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/api/v2/resource.py", line 96, in resource
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource result = method(request=request, **args)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/api/v2/base.py", line 158, in _handle_action
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource return getattr(self._plugin, name)(request.context, id, body)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/db/l3_db.py", line 387, in remove_router_interface
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource self.delete_port(context, p['id'], l3_port_check=False)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/plugins/linuxbridge/lb_quantum_plugin.py", line 419, in delete_port
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource return super(LinuxBridgePluginV2, self).delete_port(context, id)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/db/db_base_plugin_v2.py", line 1239, in delete_port
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource self._delete_port(context, id)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/db/db_base_plugin_v2.py", line 1258, in _delete_port
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource a['ip_address'])
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/db/db_base_plugin_v2.py", line 261, in _hold_ip
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource context, network_id, subnet_id, ip_address)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource File "/opt/stack/quantum/quantum/db/db_base_plugin_v2.py", line 310, in _recycle_ip
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource raise q_exc.InvalidInput(error_message=error_message)
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource InvalidInput: Invalid input for operation: No allocation pool found for ip address:10.1.0.1.
2012-11-16 21:27:12 19943 TRACE quantum.api.v2.resource

yong sheng gong (gongysh) wrote :
Changed in quantum:
status: New → Confirmed
importance: Undecided → Critical
Gary Kotton (garyk) wrote :

Hi,
Can you please provide the following:
1. configuration
2. if possible steps to reproduce
Is this from the latest code or from the packages?
Thanks
Gary

Gary Kotton (garyk) on 2012-11-17
Changed in quantum:
assignee: nobody → Gary Kotton (garyk)
milestone: none → grizzly-1
Gary Kotton (garyk) wrote :

Hi,
Yes, Yong you are correct. It is a result of the above fix - in the case of gateway I returned the wrong value. Sorry my bad.
Gary

tags: added: folsom-backport-potential

Fix proposed to branch: master
Review: https://review.openstack.org/16360

Changed in quantum:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/16360
Committed: http://github.com/openstack/quantum/commit/52bcd19e0b6de3f7c765c2d101bef8a498f1483b
Submitter: Jenkins
Branch: master

commit 52bcd19e0b6de3f7c765c2d101bef8a498f1483b
Author: Gary Kotton <email address hidden>
Date: Tue Nov 13 00:12:45 2012 +0000

    Ensure that deleted gateway IP address is recycled correctly

    Fixes bug 1079980

    Change-Id: I6819899cae6f366423ade70613c85fd84d1a270d

Changed in quantum:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/16422
Committed: http://github.com/openstack/quantum/commit/8471d79d5dc4a3eda1f0c86e2ffc47d4d74e7226
Submitter: Jenkins
Branch: stable/folsom

commit 8471d79d5dc4a3eda1f0c86e2ffc47d4d74e7226
Author: Gary Kotton <email address hidden>
Date: Tue Nov 13 00:12:45 2012 +0000

    Ensure that deleted gateway IP address is recycled correctly

    Fixes bug 1079980

    Change-Id: I6819899cae6f366423ade70613c85fd84d1a270d

Gary Kotton (garyk) on 2012-11-21
tags: added: in-stable-folsom
removed: folsom-backport-potential
Thierry Carrez (ttx) on 2012-11-21
Changed in quantum:
status: Fix Committed → Fix Released
Changed in quantum (Ubuntu):
status: New → Fix Released
Changed in quantum (Ubuntu Quantal):
status: New → Confirmed

Hello Nachi, or anyone else affected,

Accepted quantum into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/2012.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in quantum (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: in-stable-folsom
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package quantum - 2012.2.1-0ubuntu1

---------------
quantum (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (1e774867) (LP: #1085255):
    - [aeabb42] There are routing problems when the dnsmasq port does not come
      first in the routing table (LP: #1083238)
    - [04aab72] Quantum linux bridge not optimized with libvirt (LP: #1078210)
    - [ca7fc10] getting quotas from database has severe performance implications
      (LP: #1075369)
    - [66605e8] failed to update an external network into non external network
      (LP: #1083387)
    - [c60051a] Quantum test suite leaks memory like a sieve (LP: #1065276)
    - [3179dfc] clear_db() does incomplete db teardown (LP: #1080988)
    - [c1e19d7] Unauthorized command: cat /proc/None/cmdline (LP: #1077651)
    - [af9e076] At times a instance will not receive an IP address from the DHCP
      agent (LP: #1081664)
    - [e0d1a7d] allow multiple floating-ip on single port if they use different
      fixed ips and/or external nets (LP: #1057844)
    - [8471d79] Delete port fails to gateway ip (LP: #1079980)
    - [aca8b4a] fixed_ip allocation which is not included within
      allocation_pools makes error when delete port or re-create port
      (LP: #1077292)
    - [eacc9d3] Mapping same bridge to different phyiscal networks succeed
      (LP: #1067669)
    - [51b4c82] python-quantum: not region aware (LP: #1080793)
    - [6f0a486] delete floatingip should be in one transaction to delete port
      (LP: #1080516)
    - [db6cda7] Remove qpid configuration variables no longer supported
    - [a112840] Allow NVP plugin to use per-tenant quota extension
    - [82b1a55] Quantum service does not restart after reboot (LP: #1073999)
    - [c01a839] There are some cases that L3 API with an invalid parameter
      returns 500. (LP: #1064765)
    - [26b383f] external network can be plugged also as internal network for one
      router (LP: #1053633)
    - [49f649c] There is a lot of cases that API with an invalid parameter
      returns 500. (LP: #1062046)
    - [4546a18] When create subnet, you con set up the value as cidr (the value
      isn't cidr form). (LP: #1067959)
    - [9ba453a] killfilter should handle updated/deleted executables
      (LP: #1073768)
    - [7c8a55c] a port which is not able to delete is made when floatingip
      create fails. (LP: #1064748)
    - [c9b84cf] Linux bridge port update causes exception (LP: #1072713)
    - [cb57932] I can't add interface to router, if there is another port in
      non-shared network of other tenant (LP: #1057558)
    - [574e278] Ryu plugin does not support Security Groups (LP: #1059393)
    - [607f486] tap device added to integration bridge without tag
      (LP: #1064070)
    - [21a0fdf] L3 agent external network flag (LP: #1056720)
    - [5cbaff4] router create with external_gateway_info fails with 500 always.
      (LP: #1064235)
    - [63b81f6] l3 db operations failed in multiple transactions (LP: #1070335)
    - [bff17fb] Ensure that the SqlSoup import is still supported.
    - [e091a29] l3_nat_agent was renamed to l3_agent
    - [9030969] remove default value of 'local_ip' of 10...

Read more...

Changed in quantum (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in quantum:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers